#!/bin/bash

if [ -z $1 ]
then
	for i in $(ls conf/)
	do
		name=$(echo $i | awk -F'.' '{print $1}')
		echo "Creating configmap $name..."
		kubectl -n iccs-hibench create configmap $name --from-file ./conf/$i
	done
	echo "Creating configmap kube-config"
	kubectl -n iccs-hibench create configmap kube-config --from-file ~/.kube/config
	sleep 2	
	for i in $(ls manifests/)
	do
		echo "Deploying $i..."
		kubectl -n iccs-hibench create -f manifests/$i
		sleep 2
	done

elif [ $1 == "clean" ]
then
	kubectl delete -n iccs-hibench -f manifests
        for i in $(ls conf/)
        do
                name=$(echo $i | awk -F'.' '{print $1}')
                kubectl -n iccs-hibench delete configmap $name
	done
	kubectl -n iccs-hibench delete configmap kube-config	
fi



